Refresh a platform access token
POST
/platform/auth/refreshTrades a refresh token for a fresh access/refresh pair.
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/types.RefreshRequest",
"$ref-value": {
"properties": {
"refresh_token": {
"type": "string"
}
},
"required": [
"refresh_token"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/types.TokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_at": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/platform/auth/refresh" \
-H "Content-Type: application/json" \
-d '{
"refresh_token": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/types.TokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_at": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}